For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The RemoteUser object
          • GET/users
          • GET/users/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsUsers

/users/{id}

GET
/ats/v1/users/:id
GET
/api/ats/v1/users/:id
$curl -G https://api.merge.dev/api/ats/v1/users/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d remote_fields=access_role \
> -d show_enum_origins=access_role
200Retrieved
1{
2 "id": "b82302de-852e-4e60-b050-edf9da3b7c02",
3 "remote_id": "344321",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "first_name": "Shensi",
7 "last_name": "Ding",
8 "email": "hello@merge.dev",
9 "disabled": true,
10 "remote_created_at": "2020-11-10T00:00:00Z",
11 "access_role": "SUPER_ADMIN",
12 "remote_was_deleted": true,
13 "field_mappings": {
14 "organization_defined_targets": {
15 "custom_key": "custom_value"
16 },
17 "linked_account_defined_targets": {
18 "custom_key": "custom_value"
19 }
20 },
21 "remote_data": [
22 {
23 "path": "/users",
24 "data": null
25 }
26 ]
27}

Returns a RemoteUser object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/users

Next

/account-details

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
first_namestring or null
The user's first name.
last_namestring or null
The user's last name.
emailstring or nullformat: "email"<=254 characters
The user's email.
disabledboolean or null
Whether the user's account had been disabled.
remote_created_atdatetime or null
When the third party's user was created.
access_roleenum or null

The user’s role.

  • SUPER_ADMIN - SUPER_ADMIN
  • ADMIN - ADMIN
  • TEAM_MEMBER - TEAM_MEMBER
  • LIMITED_TEAM_MEMBER - LIMITED_TEAM_MEMBER
  • INTERVIEWER - INTERVIEWER
Allowed values:
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more